import gtk

#from libView import LibView
from scrobbler import Scrobbler
#from plistView import PlistView
from controlPanel import ControlPanel

from rightPane import RightPane

class ContentPane(gtk.HBox):
	def __init__(self,data):
		gtk.HBox.__init__(self,False,0)
		self.data = data
		
		self.divider = gtk.HPaned()
		self.divider.set_position(self.data.divider)
		self.divider.show()
		self.add(self.divider)
		
		self.makeLeftSide()
		self.makeRightSide()
		
		self.show()


	def makeLeftSide(self):
		self.data.scrobbler = Scrobbler(self.data)
		self.divider.add1(self.data.scrobbler)


	def makeRightSide(self):
		self.right = RightPane(self.data)
		self.divider.add2(self.right)
